From: Scott Kitterman <scott@kitterman.com>
Date: Mon, 20 Apr 2020 10:59:54 -0700
Subject: Make sure pip's version parsing is always used

Bug-Debian: https://bugs.debian.org/912379
Origin: vendor
Bug: https://github.com/pypa/setuptools/issues/2052
Forwarded: https://github.com/pypa/setuptools/issues/2052
Last-Update: 2020-04-01

  * Patch command/list.py to round trip versions through string and back to
    versions to work around pip/setuptools incompatibility (Closes: #912379)
---
 src/pip/_internal/commands/list.py | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/pip/_internal/commands/list.py b/src/pip/_internal/commands/list.py
index 8494370..f73921e 100644
--- a/src/pip/_internal/commands/list.py
+++ b/src/pip/_internal/commands/list.py
@@ -32,6 +32,8 @@ if TYPE_CHECKING:
     _ProcessedDists = Sequence[_DistWithLatestInfo]
 
 
+from pip._vendor.packaging.version import parse
+
 logger = logging.getLogger(__name__)
 
 
@@ -208,7 +210,7 @@ class ListCommand(IndexGroupCommand):
         return [
             dist
             for dist in self.iter_packages_latest_infos(packages, options)
-            if dist.latest_version > dist.version
+            if parse(str(dist.latest_version)) > parse(str(dist.version))
         ]
 
     def get_uptodate(
@@ -217,7 +219,7 @@ class ListCommand(IndexGroupCommand):
         return [
             dist
             for dist in self.iter_packages_latest_infos(packages, options)
-            if dist.latest_version == dist.version
+            if parse(str(dist.latest_version)) == parse(str(dist.version))
         ]
 
     def get_not_required(
